:root {
  --footer-padding: 64px;
}

.wrapper-footer {
  position: absolute;
  width: 100%;
  margin-top: 100px;
  padding-bottom: 30px;
  background-color: var(--gray500);
}

.footer {
  display: block;
  max-width: 1440px;
  height: auto;
  padding: 0px var(--footer-padding);
  margin: 0 auto;
}

/* Footer Newsletter */

.footer__newsletter {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 24px;
  width: 100%;
  margin: -60px auto auto auto;
  padding: 36px 64px;
  background-color: var(--primary-color);
}

.footer__newsletter__wrapper-text {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  min-width: 360px;
}

.footer__newsletter__wrapper-text h4{
  font-size: clamp(1.8rem, 5vw, 2.4rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 900;
  text-transform: uppercase;
  color: #fff;
}

.footer__newsletter__wrapper-text h5{
  font-size: clamp(1.4rem, 5vw, 1.83rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 400;
  color: #fff;
}

.newsletter__form__wrapper-inputs {
  display: flex;
  justify-content: center;
  gap: 10px;
  border: none;
}

.newsletter__form__wrapper-inputs legend,
.newsletter__form__wrapper-inputs label{
  max-height: 0px;
  max-width: 0px;
  overflow: hidden;
}

.newsletter__form__wrapper-inputs input {
  display: block;
  width: 100%;
  padding: 12px 16px;
  font-size: 1.6rem;
  font-family: 'DM Sans', sans-serif;
  border: none;
}

.newsletter__form__wrapper-inputs input::placeholder {
  color: var(--gray800);
}

.--newsletter-button {
  margin-left: 10px;
  padding: 12px 16px;
  font-family: 'DM Sans', sans-serif;
  font-size: 1.8rem;
  font-weight: 600;
  background-color: var(--green400);
}

.--newsletter-button:hover {
  background-color: var(--green800);
}



.footer__social-media__list-media {
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 20px 0 8px 0;
    justify-content: end;
}

.footer__social-media__list-media li {
    padding: 6px;
    border-radius: 4px;
    transition: background-color 0.3s;
    cursor: pointer;
}

.footer__social-media__list-media li:hover {
    background-color: rgb(209, 209, 209, 0.2);
}

.footer__social-media__list-media li a {
    display: block;
    max-width: 16px;
}
.footer__social-media__list-media li img {
    filter: brightness(0%) saturate(0%) invert(0%) sepia(17%) saturate(1963%) hue-rotate(174deg) brightness(100%) contrast(164%);
    min-width: 18px;
}

/* Footer Content */

.footer__wrapper-content {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 60px;
  width: 100%;
  margin: 60px auto 30px auto;
}

.footer__wrapper-content__logo {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 220px;
}

.wrapper-content__logo__wrapper-image {
  display: block;
  max-width: 220px;
}

.footer__wrapper-content__logo p {
  margin-top: 24px;
  font-size: clamp(1.4rem, 5vw, 1.4rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 400;
}

.footer__wrapper-content__wrapper-list {
  display: flex;
  gap: 60px;
  flex-wrap: wrap;
}

.wrapper-content__wrapper-list__list-links h4 {
  margin-bottom: 16px;
  font-size: clamp(1.6rem, 5vw, 1.8rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 500;
  color: #000;
}

.wrapper-content__wrapper-list__list-links li{
  margin-top: 6px;
}

.wrapper-content__wrapper-list__list-links li a {
  font-size: clamp(1.4rem, 5vw, 1.4rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 400;
  color: #000;
}

.wrapper-content__wrapper-list__list-links li a:hover {
  text-decoration: underline;
}

.footer__wrapper-content__wrapper-column-list {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.wrapper-content__wrapper-column-list__list-icons h4 {
  margin-bottom: 16px;
  font-size: clamp(1.6rem, 5vw, 1.8rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 500;
  color: #000;
}

.wrapper-content__wrapper-column-list__list-icons ul {
  display: flex;
  gap: 24px;
  flex-wrap: wrap;
}

.wrapper-content__wrapper-column-list__list-icons ul li{
  display: flex;
  align-items: center;
  justify-content: center;
}


.wrapper-content__wrapper-column-list__list-icons ul .--list-item-border{
  width: 80px;
  height: 40px;
  border: 1px solid var(--gray800);
  border-radius: 8px;
}

.--list-item-border img {
  max-width: 60px !important;
}

.wrapper-content__wrapper-column-list__list-icons ul li img {
  max-width: 90px;
}

.footer__wrapper-content__separator {
  display: block;
  width: 100%;
  height: 2px;
  margin: 0 auto;
  background-color: #fff;
}

.footer__wrapper-content__copyright {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  margin: 30px auto auto auto;
  padding: 0 36px;
  text-align: center;
  font-size: clamp(1.4rem, 5vw, 1.4rem);
  font-family: 'DM Sans', sans-serif;
  font-weight: 400;
  color: #000;
}

.copyright-separator {
  display: block;
  width: 2px;
  height: 16px;
  margin: 0 6px;
  background-color: var(--gray800);
}

.footer__wrapper-content__copyright span {
  display: inline-block;
}

.footer__wrapper-content__copyright a:hover{
  text-decoration: underline;
}

.footer__wrapper-content__copyright a{
  color: var(--support-color);
}

@media (max-width: 1100px) {
  .footer__newsletter {
    flex-wrap: wrap;
  }

}

@media (max-width: 768px) {
  .footer {
    padding: 0px;
  }


  .footer__newsletter {
    width: 100%;
    padding: 36px 24px;
  }

  .footer__newsletter__form {
    width: 100%;
  }

  .footer__newsletter__wrapper-text {
    min-width: 0px;
  }

  .footer__social-media__list-media {
      justify-content: center;
  }

  .newsletter__form__wrapper-inputs {
    flex-wrap: wrap;
  }

  .--newsletter-button {
    margin-top: 10px;
  }

  .footer__wrapper-content {
    width: 45vw;
    justify-content: center;
    gap: 30px;
    flex-direction: column;
    align-items: start;
  }

  .footer__wrapper-content__wrapper-list {
    justify-content: center;
    flex-direction: column;
  }

  .wrapper-content__wrapper-column-list__list-icons {
    max-width: 280px;
  }

  .copyright-separator {
    display: none !important;
  }

}
